//*****************************************************************************
//*****************************************************************************
//  FILENAME:  AMPINV.h
//  Version: 4.3, Updated on 2010/12/27 at 15:26:57
//  Generated by PSoC Designer 5.1.2101.0
//
//  DESCRIPTION: AMPINV User Module C Language interface.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef AMPINV_INCLUDE
#define AMPINV_INCLUDE

#include <M8C.h>

//-------------------------------------------------
// Defines for AMPINV API's.
//-------------------------------------------------
/* Power Settings */
#define AMPINV_OFF         0
#define AMPINV_LOWPOWER    1
#define AMPINV_MEDPOWER    2
#define AMPINV_HIGHPOWER   3

/* Gain Settings */
#define AMPINV_G47_0    0x04
#define AMPINV_G23_0    0x14

#define AMPINV_G15_0    0x00
#define AMPINV_G7_00    0x10
#define AMPINV_G4_33    0x20
#define AMPINV_G3_00    0x30
#define AMPINV_G2_20    0x40
#define AMPINV_G1_67    0x50
#define AMPINV_G1_27    0x60
#define AMPINV_G1_00    0x70
#define AMPINV_G0_78    0x80
#define AMPINV_G0_60    0x90
#define AMPINV_G0_46    0xA0
#define AMPINV_G0_33    0xB0
#define AMPINV_G0_23    0xC0
#define AMPINV_G0_14    0xD0
#define AMPINV_G0_06    0xE0


/* Define function Prototypes */
#pragma fastcall16 AMPINV_Start
#pragma fastcall16 AMPINV_SetPower
#pragma fastcall16 AMPINV_SetGain
#pragma fastcall16 AMPINV_Stop

//-------------------------------------------------
// Prototypes of the AMPINV API.
//-------------------------------------------------
extern void AMPINV_Start(BYTE power);                         // Proxy class 2
extern void AMPINV_SetPower(BYTE power);                      // Proxy class 2
extern void AMPINV_SetGain(BYTE bGainSetting);                // Proxy class 2
extern void AMPINV_Stop(void);                                // Proxy class 1

//-------------------------------------------------
// Hardware Register Definitions
//-------------------------------------------------
#pragma ioport  AMPINV_INVAMP_CR0:  0x079
BYTE            AMPINV_INVAMP_CR0;
#pragma ioport  AMPINV_INVAMP_CR1:  0x07a
BYTE            AMPINV_INVAMP_CR1;
#pragma ioport  AMPINV_INVAMP_CR2:  0x07b
BYTE            AMPINV_INVAMP_CR2;
#pragma ioport  AMPINV_INVAMP_CR3:  0x078
BYTE            AMPINV_INVAMP_CR3;

#endif
// end of file AMPINV.h
