//*****************************************************************************
//*****************************************************************************
//  FILENAME: COMP.h
//   Version: 2.0, Updated on 2010/12/27 at 15:27:10
//  Generated by PSoC Designer 5.1.2101.0
//
//  DESCRIPTION: COMP User Module C Language interface file
//-----------------------------------------------------------------------------
// Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef COMP_INCLUDE
#define COMP_INCLUDE

#include <m8c.h>

//-------------------------------------------------
// Defines for COMP API's.
//-------------------------------------------------

#define COMP_LOWPOWER   1
#define COMP_MEDPOWER   2
#define COMP_HIGHPOWER  3

#define COMP_POL_POS    1
#define COMP_POL_NEG    0

#define COMP_REF1_000   0xf0
#define COMP_REF0_937   0xe0
#define COMP_REF0_875   0xd0
#define COMP_REF0_812   0xc0
#define COMP_REF0_750   0xb0
#define COMP_REF0_688   0xa0
#define COMP_REF0_625   0x90
#define COMP_REF0_562   0x80
#define COMP_REF0_500   0x70
#define COMP_REF0_437   0x60
#define COMP_REF0_375   0x50
#define COMP_REF0_312   0x40
#define COMP_REF0_250   0x30
#define COMP_REF0_188   0x20
#define COMP_REF0_125   0x10
#define COMP_REF0_062   0x00
#define COMP_REF0_042   0x14
#define COMP_REF0_021   0x04


#pragma fastcall16 COMP_Start			// Write CR2
#pragma fastcall16 COMP_Stop			// Write CR2
#pragma fastcall16 COMP_SetPower		// Write CR2
#pragma fastcall16 COMP_SetPolarity		// Write LUT control register
#pragma fastcall16 COMP_SetRef			// Write CR0, CR3

#pragma fastcall16 COMP_EnableInt
#pragma fastcall16 COMP_DisableInt
#pragma fastcall16 COMP_ClearInt

//-------------------------------------------------
// Prototypes of the COMP API.
//-------------------------------------------------

extern void COMP_Start(BYTE bPower);
extern void COMP_Stop(void);
extern void COMP_SetPower(BYTE bPower);
extern void COMP_SetPolarity(BYTE bPolarity);
extern void COMP_SetRef(BYTE bReference);

extern void COMP_EnableInt(void);
extern void COMP_DisableInt(void);
extern void COMP_ClearInt(void);

//-------------------------------------------------
// Register Addresses for COMP
//-------------------------------------------------

#pragma ioport  COMP_CR0:   0x075
BYTE            COMP_CR0;
#pragma ioport  COMP_CR1:   0x076
BYTE            COMP_CR1;
#pragma ioport  COMP_CR2:   0x077
BYTE            COMP_CR2;
#pragma ioport  COMP_CR3:   0x074
BYTE            COMP_CR3;

#pragma ioport  COMP_INT_REG:     0x0e0      //Interrupt Mask Register
BYTE            COMP_INT_REG;
#pragma ioport  COMP_INT_CLR_REG: 0xda       //Interrupt Clear Register
BYTE            COMP_INT_CLR_REG;
#pragma ioport  COMP_LUT_REG:     0x67       //LUT control Register
BYTE            COMP_LUT_REG;

#endif
// end of file COMP.h
